package cn.com.countrygarden.bi.main.service.phoenix;

import cn.com.countrygarden.bi.main.model.phoenix.PhoenixSalesRoom;

import java.util.List;

public interface PhoenixSalesRoomService {

    List<PhoenixSalesRoom> sync(String areaId, long timestamp);

    List<PhoenixSalesRoom> persistence(String areaId);

    void persistenceBatch(int projectPage, int projectPageSize);

    List<PhoenixSalesRoom> syncByBuild(String buildIds);

    List<PhoenixSalesRoom> persistenceByBuild(String areaId, int page, int pageSize);

    void persistenceBatchByBuild(int pageSize, int projectPage, int projectPageSize);
}
